# samples/07_video_convert/video_convert_csvparser.cpp File Reference

`#include <iostream>`
`#include <cstdlib>`
`#include <cstring>`
`#include "video_convert.h"`

Go to the source code of this file.

## Defines

#define | CHECK_OPTION_VALUE(argp)
#define | CSV_PARSE_CHECK_ERROR(condition, str)

## Functions

int | parse_csv_args (context_t *ctx, int argc, char *argv[])

## Define Documentation

#define CHECK_OPTION_VALUE | ( | argp |  | ) |

Value:

    if(!*argp || (*argp)[0] == '-') \
                                    { \
                                        cerr << "Error: value not specified for option " << arg << endl; \
                                        goto error; \
                                    }

Definition at line 35 of file video_convert_csvparser.cpp.

#define CSV_PARSE_CHECK_ERROR | ( | condition,
|  | str |  | ) |

Value:

    if (condition) {\
        cerr << "Error: " << str << endl; \
        goto error; \
        }

Definition at line 41 of file video_convert_csvparser.cpp.

## Function Documentation

int parse_csv_args | ( | context_t * | ctx,
|  | int | argc,
|  | char * | argv[] |
| ) |  |  |

Definition at line 159 of file video_convert_csvparser.cpp.